/* --- THEME TWEAKS --- */

.site-header {
	padding-inline: clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

:is(h1, h2, h3, h4, h5, h6), .balance {
	text-wrap: balance;
}

p, blockquote, li, .pretty {
	text-wrap: pretty;
}

p:last-child:last-of-type {
	margin-bottom: 0;
}

a:has(img) {
	display: flex;
}

/* --- UTILITIES --- */

/* Line limits */
.line-limit-2, .line-limit-3 {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.line-limit-2 {
	-webkit-line-clamp: 2;
}

.line-limit-3 {
	-webkit-line-clamp: 3;
}

/* Visually Hidden */
.visually-hidden:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

/* Transition */

.transition{
	transition: all .25s ease-in-out;
}

/* --- GP MENU ACCESSIBILITY TWEAK --- */

#site-navigation ul.sub-menu {
	display: block;
}

#site-navigation li:hover .gp-icon svg {
	transform: rotate(180deg);
}

#site-navigation li:hover .sub-menu {
	visibility: visible;
}
